<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HwmfObjectTableEntry (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HwmfObjectTableEntry (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HwmfObjectTableEntry.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetStretchBltMode.html"
               title="class in org.apache.poi.hwmf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.html"
               title="class in org.apache.poi.hwmf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/record/HwmfObjectTableEntry.html" target="_top">Frames</a>
        </li>
        <li><a href="HwmfObjectTableEntry.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hwmf.record</div>
    <h2 title="Interface HwmfObjectTableEntry" class="title">Interface HwmfObjectTableEntry</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfDibBitBlt.html"
                           title="class in org.apache.poi.hwmf.record">HwmfFill.WmfDibBitBlt</a>, <a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfDibStretchBlt.html"
                            title="class in org.apache.poi.hwmf.record">HwmfFill.WmfDibStretchBlt</a>, <a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfSetDibToDev.html"
                            title="class in org.apache.poi.hwmf.record">HwmfFill.WmfSetDibToDev</a>, <a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfFill.WmfStretchDib.html"
                            title="class in org.apache.poi.hwmf.record">HwmfFill.WmfStretchDib</a>, <a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfCreateBrushIndirect.html"
                            title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfCreateBrushIndirect</a>, <a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfCreatePatternBrush.html"
                            title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfCreatePatternBrush</a>, <a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfCreatePenIndirect.html"
                            title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfCreatePenIndirect</a>, <a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfDibCreatePatternBrush.html"
                            title="class in org.apache.poi.hwmf.record">HwmfMisc.WmfDibCreatePatternBrush</a>, <a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfAnimatePalette.html"
                            title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfAnimatePalette</a>, <a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfCreatePalette.html"
                            title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfCreatePalette</a>, <a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfPaletteParent.html"
                            title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfPaletteParent</a>, <a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfResizePalette.html"
                            title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfResizePalette</a>, <a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.WmfSetPaletteEntries.html"
                            title="class in org.apache.poi.hwmf.record">HwmfPalette.WmfSetPaletteEntries</a>, <a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfText.WmfCreateFontIndirect.html"
                            title="class in org.apache.poi.hwmf.record">HwmfText.WmfCreateFontIndirect</a>, <a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfCreateRegion.html"
                            title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfCreateRegion</a>, <a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfExcludeClipRect.html"
                            title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfExcludeClipRect</a>, <a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfIntersectClipRect.html"
                            title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfIntersectClipRect</a>, <a
                            href="../../../../../org/apache/poi/hwmf/record/HwmfWindowing.WmfOffsetClipRgn.html"
                            title="class in org.apache.poi.hwmf.record">HwmfWindowing.WmfOffsetClipRgn</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">HwmfObjectTableEntry</span></pre>
                <div class="block">Marker interface for Records, which should be added to the
                    WMF object table for further selection
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hwmf/record/HwmfObjectTableEntry.html#applyObject-org.apache.poi.hwmf.draw.HwmfGraphics-">applyObject</a></span>(<a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html"
                                        title="class in org.apache.poi.hwmf.draw">HwmfGraphics</a>&nbsp;ctx)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="applyObject-org.apache.poi.hwmf.draw.HwmfGraphics-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>applyObject</h4>
                                <pre>void&nbsp;applyObject(<a
                                        href="../../../../../org/apache/poi/hwmf/draw/HwmfGraphics.html"
                                        title="class in org.apache.poi.hwmf.draw">HwmfGraphics</a>&nbsp;ctx)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HwmfObjectTableEntry.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfMisc.WmfSetStretchBltMode.html"
               title="class in org.apache.poi.hwmf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hwmf/record/HwmfPalette.html"
               title="class in org.apache.poi.hwmf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwmf/record/HwmfObjectTableEntry.html" target="_top">Frames</a>
        </li>
        <li><a href="HwmfObjectTableEntry.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
